## python-saharaclient 4.0.1

=== debian/changelog ===
python-saharaclient (4.0.1-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Sep 2022 06:37:20 +0000

python-saharaclient (4.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 11:13:28 -0400

python-saharaclient (4.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:36:25 -0400

python-saharaclient (3.5.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 16:38:29 -0400

## python-saharaclient 4.0.2

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD

=== debian/changelog ===
python-saharaclient (4.0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:41:46 +0200

python-saharaclient (4.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 11:45:14 +0200

python-saharaclient (4.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 14:14:10 +0200

python-saharaclient (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 11:35:00 +0100

python-saharaclient (3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Feb 2022 09:25:10 +0100

python-saharaclient (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:52:16 +0200

python-saharaclient (3.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 15:48:24 +0200

python-saharaclient (3.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:51:53 +0200

python-saharaclient (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Debhelper 11.
  * Standards-Version: 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 15:54:39 +0100

=== debian/control ===
Source: python-saharaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme <!nodoc>,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log (>= 5.0.0),
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pep8,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-stestr,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-saharaclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-saharaclient.git
Homepage: https://github.com/openstack/python-saharaclient

Package: python-saharaclient-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client library for Openstack Sahara API server - documentation
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package contains the documentation.

Package: python3-saharaclient
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-openstackclient,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log (>= 5.0.0),
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: Client library for Openstack Sahara API server - Python 3.x module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package provides the Python 3.x module.

## python-saharaclient 4.1.0

=== debian/changelog ===
python-saharaclient (4.1.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 28 Feb 2023 19:49:49 +0000

python-saharaclient (4.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 08:17:38 -0500

python-saharaclient (4.0.2-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Dec 2022 14:33:43 -0500

## python-saharaclient 4.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=3.1.1 # Apache-2.0

keystoneauth1>=3.4.0 # Apache-2.0
osc-lib>=2.0.0 # Apache-2.0
oslo.log>=5.0.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
python-openstackclient>=5.2.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 openstackdocstheme>=2.2.1 # Apache-2.0
 reno>=3.1.0 # Apache-2.0
 sphinx>=2.0.0,!=2.1.0 # BSD
+python-saharaclient>=1.1.0

=== debian/changelog ===
python-saharaclient (4.2.0-4) unstable; urgency=medium

  * Removed python3-pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 09:23:41 +0100

python-saharaclient (4.2.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090611).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 10:14:19 +0100

python-saharaclient (4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 16:57:34 +0200

python-saharaclient (4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Sep 2023 14:44:11 +0200

python-saharaclient (4.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046307).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 23:51:41 +0200

python-saharaclient (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:23:06 +0200

python-saharaclient (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 09:45:01 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-oslotest,
- python3-pep8,
  python3-requests,
  python3-requests-mock,
  python3-six,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf doc/build build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'saharaclient\.tests\.unit.*'
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b man doc/source doc/build/man
	cp doc/build/man/saharaclient.1 doc/build/man/sahara.1
	dh_installman
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-saharaclient-doc/usr/share/doc/python-saharaclient-doc/html
	dh_sphinxdoc
endif
